//----------------------------------------------------------------------------//
//  FiveWin 1.5 - Tutorial
//  (c) A.Linares, F.Pulpn 1993
//
//  Contruir con BUILD Tutor08
//----------------------------------------------------------------------------//

// Ejemplos de utilizacin de tablas

#include "FiveWin.ch"

static oWnd

//----------------------------------------------------------------------------//

function Main()

   DEFINE WINDOW oWnd FROM 1, 1 TO 22, 75 ;
      TITLE OemToAnsi( "Utilizacin de Browse" ) ;
      MENU PreparaMenu()

   SET MESSAGE OF oWnd ;
      TO OemToAnsi( "FiveWin 1.5 - La revolucin xBase" )

   ACTIVATE WINDOW oWnd MAXIMIZED

return nil

//----------------------------------------------------------------------------//

function PreparaMenu()

   local oMenu

   MENU oMenu
      MENUITEM OemToAnsi( "&Informacin" )
      MENU
         MENUITEM "&Acerca de..." ;
            ACTION MsgInfo( OemToAnsi( "Tutorial de FiveWin" + Chr( 13 ) + ;
                            "(c) A.Linares, F.Pulpn, 1993" ) ) ;
            MESSAGE OemToAnsi( "Informacin acerca de este programa" )
         SEPARATOR
         MENUITEM "&Terminar..."  ;
            ACTION If( MsgYesNo( OemToAnsi( " Desea terminar ?" ) ),;
                       oWnd:End(),) ;
            MESSAGE OemToAnsi( "Terminar la ejecucin de este programa" )
      ENDMENU

      MENUITEM "&Ficheros"
      MENU
         MENUITEM   "&Clientes..."           ;
            ACTION  Clientes() ;
            MESSAGE OemToAnsi( "Mantenimiento de Clientes" )

         MENUITEM   OemToAnsi( "&Almacn" ) ;
            ACTION  MsgInfo( OemToAnsi( "Control del Almacn" ) ) ;
            MESSAGE OemToAnsi( "Control del Almacn" )
      ENDMENU

      MENUITEM "&Utilidades"
      MENU
         MENUITEM "&Calculadora..." ;
            ACTION WinExec( "Calc" ) ;
            MESSAGE "Llamar a la calculadora de Windows"

         MENUITEM "C&alendario..." ;
            ACTION WinExec( "Calendar" ) ;
            MESSAGE "Llamar al calendario de Windows"

         MENUITEM "&Jugar un poco..." ;
            ACTION WinExec( "Sol" ) ;
            MESSAGE "A las cartas..."
      ENDMENU
   ENDMENU

return oMenu

//----------------------------------------------------------------------------//

function Clientes()

   if ! File( "clientes.dbf" )
      DbCreate( "Clientes.dbf", { { "Nombre",    "C", 40, 0 },;
                                  { "Direccion", "C", 50, 0 },;
                                  { "Telefono",  "C", 12, 0 },;
                                  { "Edad",      "N",  2, 0 },;
                                  { "Productos", "C", 10, 0 },;
                                  { "Nivel",     "N",  2, 0 } } )
   endif
   
   USE Clientes
   if RecCount() == 0
      APPEND BLANK
   endif
   INDEX ON Nombre TO CliNombr
   SET INDEX TO CliNombr
   GO TOP

   Browse( "Control de Clientes", "Datos de los Clientes",;
           { || MsgInfo( "Nuevo" ) },;
           { || MsgInfo( "Modifica" ) },;
           { || MsgInfo( "Elimina" ) },;
           { || MsgInfo( "Busca" ) },;
           { || MsgInfo( "Imprimir" ) } )

   USE

return nil

//----------------------------------------------------------------------------//
